Threaded::merge
Threaded::pop
Threaded
PHP Manual

# Threaded::notify

(PECL pthreads >= 2.0.0)

Threaded::notify — Synchronization

### Description

public boolean Threaded::notify ( void )

Send notification to the referenced object

### Parameters

This function has no parameters.

### Return Values

A boolean indication of success

### Examples

Example #1 Notifications and Waiting

`<?php
class My extends Thread {
public function run() {
/** cause this thread to wait **/
$this->synchronized(function($thread){
if (!$thread->done)
$thread->wait();
}, $this);
}
}
$my = new My();
$my->start();
/** send notification to the waiting thread **/
$my->synchronized(function($thread){
$thread->done = true;
$thread->notify();
}, $my);
var_dump($my->join());
?>`

The above example will output:

    bool(true)

Threaded::merge
Threaded::pop
Threaded
PHP Manual